public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Thomas Deutschmann" <whissi@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-misc/ubridge/
Date: Sat,  3 Mar 2018 02:07:53 +0000 (UTC)	[thread overview]
Message-ID: <1520042841.a0773604aa0036f374239e9dd135edd7f0980d40.whissi@gentoo> (raw)

commit:     a0773604aa0036f374239e9dd135edd7f0980d40
Author:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Sat Mar  3 02:06:34 2018 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Sat Mar  3 02:07:21 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a0773604

net-misc/ubridge: New package

Closes: https://bugs.gentoo.org/642070
Package-Manager: Portage-2.3.24, Repoman-2.3.6

 net-misc/ubridge/Manifest              |  1 +
 net-misc/ubridge/metadata.xml          |  9 +++++++
 net-misc/ubridge/ubridge-0.9.14.ebuild | 43 ++++++++++++++++++++++++++++++++++
 3 files changed, 53 insertions(+)

diff --git a/net-misc/ubridge/Manifest b/net-misc/ubridge/Manifest
new file mode 100644
index 00000000000..9af6c7d67bd
--- /dev/null
+++ b/net-misc/ubridge/Manifest
@@ -0,0 +1 @@
+DIST ubridge-0.9.14.tar.gz 63492 BLAKE2B 4c19bb79c264c9bec2ca39fea8b386817f6eb41d23b35f9fbd0a1407b45398ad5362bd76cbb81597438367a2af8d80308f13d3e8faa4e75c6173bbeb23da177d SHA512 7e92ca6ee8dd5815991c5d157278487cfad69710f0a63fc217d5d0e61678d272bf5a0d31b6afe25b1060df1ad13e229f1d573c03fecb1453167a9ff364283a5f

diff --git a/net-misc/ubridge/metadata.xml b/net-misc/ubridge/metadata.xml
new file mode 100644
index 00000000000..3a39499f142
--- /dev/null
+++ b/net-misc/ubridge/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<!-- maintainer-needed -->
+	<upstream>
+		<bugs-to>https://github.com/GNS3/ubridge/issues</bugs-to>
+		<remote-id type="github">GNS3/ubridge</remote-id>
+	</upstream>
+</pkgmetadata>

diff --git a/net-misc/ubridge/ubridge-0.9.14.ebuild b/net-misc/ubridge/ubridge-0.9.14.ebuild
new file mode 100644
index 00000000000..2b8f85f6a50
--- /dev/null
+++ b/net-misc/ubridge/ubridge-0.9.14.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+
+inherit fcaps user
+
+DESCRIPTION="Bridge for UDP tunnels, Ethernet, TAP and VMnet interfaces."
+HOMEPAGE="https://github.com/GNS3/ubridge"
+SRC_URI="https://github.com/GNS3/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64"
+
+DEPEND="net-libs/libpcap:="
+
+RDEPEND="${DEPEND}"
+
+pkg_setup() {
+	enewgroup ubridge
+}
+
+src_prepare() {
+	default
+
+	sed -i -e "s/CFLAGS  =/CFLAGS  ?=/g" Makefile || die "Failed to fix Makefile"
+}
+
+src_install() {
+	insinto /usr/bin
+	insopts -m 750 -g ubridge
+	doins ubridge
+	dodoc README.rst
+}
+
+pkg_postinst() {
+	fcaps -g ubridge -m 4710 -M 0710 cap_net_raw,cap_net_admin \
+		"${EROOT%/}"/usr/bin/ubridge
+
+	ewarn "NOTE: To read packets from the network interfaces with ubridge as"
+	ewarn "normal user you have to add the appropriate user to the ubridge group."
+}


             reply	other threads:[~2018-03-03  2:08 UTC|newest]

Thread overview: 12+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-03-03  2:07 Thomas Deutschmann [this message]
  -- strict thread matches above, loose matches on Subject: below --
2018-03-05  0:31 [gentoo-commits] repo/gentoo:master commit in: net-misc/ubridge/ Thomas Deutschmann
2018-03-14 17:52 Michał Górny
2018-11-07 23:44 Thomas Deutschmann
2020-07-25 22:13 Aaron Bauman
2020-07-25 22:13 Aaron Bauman
2020-07-25 22:13 Aaron Bauman
2020-08-16 18:55 Jonas Stein
2024-10-10 20:29 Conrad Kostecki
2024-10-10 20:29 Conrad Kostecki
2024-10-11  5:01 Eli Schwartz
2025-01-07  5:20 Ionen Wolkens

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1520042841.a0773604aa0036f374239e9dd135edd7f0980d40.whissi@gentoo \
    --to=whissi@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox